Skip to main content
GET
/
v2
/
farcaster
/
user
/
interactions
User interactions
curl --request GET \
  --url https://api.neynar.com/v2/farcaster/user/interactions/ \
  --header 'x-api-key: <api-key>'
{
  "interactions": [
    {
      "object": "notification",
      "most_recent_timestamp": "2023-11-07T05:31:56Z",
      "type": "follows",
      "seen": true,
      "follows": [
        {
          "object": "follower",
          "user": {
            "object": "user",
            "fid": 3,
            "username": "<string>",
            "custody_address": "0x5a927ac639636e534b678e81768ca19e2c6280b7",
            "registered_at": "2023-11-07T05:31:56Z",
            "profile": {
              "bio": {
                "text": "<string>",
                "mentioned_profiles": [
                  {
                    "object": "user_dehydrated",
                    "fid": 3,
                    "username": "<string>",
                    "display_name": "<string>",
                    "pfp_url": "<string>",
                    "custody_address": "0x5a927ac639636e534b678e81768ca19e2c6280b7",
                    "score": 123
                  }
                ],
                "mentioned_profiles_ranges": [
                  {
                    "start": 1,
                    "end": 1
                  }
                ],
                "mentioned_channels": [
                  {
                    "id": "<string>",
                    "name": "<string>",
                    "object": "channel_dehydrated",
                    "image_url": "<string>"
                  }
                ],
                "mentioned_channels_ranges": [
                  {
                    "start": 1,
                    "end": 1
                  }
                ]
              },
              "banner": {
                "url": "<string>"
              }
            },
            "follower_count": 123,
            "following_count": 123,
            "verifications": [
              "0x5a927ac639636e534b678e81768ca19e2c6280b7"
            ],
            "auth_addresses": [
              {
                "address": "0x5a927ac639636e534b678e81768ca19e2c6280b7",
                "app": {
                  "object": "user_dehydrated",
                  "fid": 3,
                  "username": "<string>",
                  "display_name": "<string>",
                  "pfp_url": "<string>",
                  "custody_address": "0x5a927ac639636e534b678e81768ca19e2c6280b7",
                  "score": 123
                }
              }
            ],
            "verified_addresses": {
              "eth_addresses": [
                "0x5a927ac639636e534b678e81768ca19e2c6280b7"
              ],
              "sol_addresses": [
                "<string>"
              ],
              "primary": {
                "eth_address": "0x5a927ac639636e534b678e81768ca19e2c6280b7",
                "sol_address": "<string>"
              }
            },
            "verified_accounts": [
              {
                "platform": "x",
                "username": "<string>"
              }
            ],
            "display_name": "<string>",
            "pfp_url": "<string>",
            "score": 123
          }
        }
      ],
      "reactions": [
        {
          "object": "likes",
          "cast": {
            "object": "cast_dehydrated",
            "hash": "<string>"
          },
          "user": {
            "object": "user",
            "fid": 3,
            "username": "<string>",
            "custody_address": "0x5a927ac639636e534b678e81768ca19e2c6280b7",
            "registered_at": "2023-11-07T05:31:56Z",
            "profile": {
              "bio": {
                "text": "<string>",
                "mentioned_profiles": [
                  {
                    "object": "user_dehydrated",
                    "fid": 3,
                    "username": "<string>",
                    "display_name": "<string>",
                    "pfp_url": "<string>",
                    "custody_address": "0x5a927ac639636e534b678e81768ca19e2c6280b7",
                    "score": 123
                  }
                ],
                "mentioned_profiles_ranges": [
                  {
                    "start": 1,
                    "end": 1
                  }
                ],
                "mentioned_channels": [
                  {
                    "id": "<string>",
                    "name": "<string>",
                    "object": "channel_dehydrated",
                    "image_url": "<string>"
                  }
                ],
                "mentioned_channels_ranges": [
                  {
                    "start": 1,
                    "end": 1
                  }
                ]
              },
              "banner": {
                "url": "<string>"
              }
            },
            "follower_count": 123,
            "following_count": 123,
            "verifications": [
              "0x5a927ac639636e534b678e81768ca19e2c6280b7"
            ],
            "auth_addresses": [
              {
                "address": "0x5a927ac639636e534b678e81768ca19e2c6280b7",
                "app": {
                  "object": "user_dehydrated",
                  "fid": 3,
                  "username": "<string>",
                  "display_name": "<string>",
                  "pfp_url": "<string>",
                  "custody_address": "0x5a927ac639636e534b678e81768ca19e2c6280b7",
                  "score": 123
                }
              }
            ],
            "verified_addresses": {
              "eth_addresses": [
                "0x5a927ac639636e534b678e81768ca19e2c6280b7"
              ],
              "sol_addresses": [
                "<string>"
              ],
              "primary": {
                "eth_address": "0x5a927ac639636e534b678e81768ca19e2c6280b7",
                "sol_address": "<string>"
              }
            },
            "verified_accounts": [
              {
                "platform": "x",
                "username": "<string>"
              }
            ],
            "display_name": "<string>",
            "pfp_url": "<string>",
            "score": 123
          }
        }
      ],
      "count": 123
    }
  ]
}

Node.js SDK

๐Ÿ”— SDK Method: fetchUserInteractions Use this API endpoint with the Neynar Node.js SDK for typed responses and better developer experience.

Authorizations

x-api-key
string
header
default:NEYNAR_API_DOCS
required

API key to authorize requests

Query Parameters

fids
string
required

Comma separated list of two FIDs

Example:

"194, 191"

type
enum<string>[]

Comma seperated list of Interaction type to fetch

Available options:
follows,
recasts,
likes,
mentions,
replies,
quotes

Response

Success

interactions
Notification ยท object[]
required